MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions
CurlEasy Class Reference

An OO wrapper for a "CURL*" (a libCURL "easy" handle). More...

`#include <Easy.hxx>`

## Public Member Functions
| CurlEasy ()
| Allocate a new CURL*. More...
| CurlEasy (std::nullptr_t)
| Create an empty instance. More...
| CurlEasy (CurlEasy &&src)
| ~CurlEasy ()
| operator bool () const
CurlEasy & | operator= (CurlEasy &&src)
CURL * | Get ()
template<typename T >
void | SetOption (CURLoption option, T value)

## Detailed Description

An OO wrapper for a "CURL*" (a libCURL "easy" handle).

Definition at line 42 of file Easy.hxx.

## Constructor & Destructor Documentation

CurlEasy::CurlEasy | ( |  | ) |
| inline

Allocate a new CURL*.

Throws std::runtime_error on error.

Definition at line 51 of file Easy.hxx.

CurlEasy::CurlEasy | ( | std::nullptr_t |  | ) |
| inline

Create an empty instance.

Definition at line 61 of file Easy.hxx.

CurlEasy::CurlEasy | ( | CurlEasy && | src | ) |
| inline

Definition at line 63 of file Easy.hxx.

CurlEasy::~CurlEasy | ( |  | ) |
| inline

Definition at line 65 of file Easy.hxx.

## Member Function Documentation

CURL* CurlEasy::Get | ( |  | ) |
| inline

Definition at line 79 of file Easy.hxx.

CurlEasy::operator bool | ( |  | ) | const
| inline

Definition at line 70 of file Easy.hxx.

CurlEasy& CurlEasy::operator= | ( | CurlEasy && | src | ) |
| inline

Definition at line 74 of file Easy.hxx.

template<typename T >

void CurlEasy::SetOption | ( | CURLoption | option,
|  | T | value
| ) |  |
| inline

Definition at line 84 of file Easy.hxx.

The documentation for this class was generated from the following file:

- lib/curl/Easy.hxx